import { assert } from 'console'
import * as dotenv from 'dotenv'
import { TaskSvr } from 'service/task.service'
const envFile = process.env.NODE_ENV && process.env.NODE_ENV === 'production' ? `.env.production` : '.env.development'
dotenv.config({ path: envFile })
require('common/Extend')
;(async () => {
  let scheduleId = process.env.npm_config_id
  assert(scheduleId, 'scheduleId is required')
  await new TaskSvr().parseOneSchedule(scheduleId)
  console.log(`begin schedule:: scheduleId: ${scheduleId}`)
})()
